-*- mode: compilation; default-directory: "~/perso/adecWatt56/src/java/adecWatt/model/" -*-
Compilation started at Sun Feb  4 19:00:19

ant -emacs -f /home/felix/perso/adecWatt56/ant/build.xml run
Buildfile: /home/felix/perso/adecWatt56/ant/build.xml

init:
Created dir: /home/felix/perso/adecWatt56/build/api
Created dir: /home/felix/perso/adecWatt56/build/class
Created dir: /home/felix/perso/adecWatt56/data/log
Copying 31 files to /home/felix/perso/adecWatt56/build/class/data/config

compile:
Compiling 94 source files to /home/felix/perso/adecWatt56/build/class
/home/felix/perso/adecWatt56/src/java/adecWatt/control/AdecWattManager.java:359: warning: [rawtypes] found raw type: Item
    Vector<Item> clip = new Vector<Item> ();
           ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/control/AdecWattManager.java:359: warning: [rawtypes] found raw type: Item
    Vector<Item> clip = new Vector<Item> ();
                                   ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/control/AdecWattManager.java:435: warning: [rawtypes] found raw type: Item
	Vector<Item> items = jWorkspaceView.getSelectedItems ();
	       ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/control/AdecWattManager.java:449: warning: [rawtypes] found raw type: Item
	Vector<Item> items = jWorkspaceView.getSelectedItems ();
	       ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/control/AdecWattManager.java:634: warning: [rawtypes] found raw type: Item
	    List<Item> selectedItems = (List<Item>) objects[1];
	         ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/control/AdecWattManager.java:634: warning: [rawtypes] found raw type: Item
	    List<Item> selectedItems = (List<Item>) objects[1];
	                                     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/control/AdecWattManager.java:644: warning: [rawtypes] found raw type: Item
	    List<Item> selectedItems = (List<Item>) objects[1];
	         ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/control/AdecWattManager.java:644: warning: [rawtypes] found raw type: Item
	    List<Item> selectedItems = (List<Item>) objects[1];
	                                     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/control/AdecWattManager.java:651: warning: [rawtypes] found raw type: Item
	    List<Item> selectedItems = (List<Item>) objects[1];
	         ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/control/AdecWattManager.java:651: warning: [rawtypes] found raw type: Item
	    List<Item> selectedItems = (List<Item>) objects[1];
	                                     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/control/AdecWattManager.java:657: warning: [rawtypes] found raw type: Item
	    jAdecWatt.getJWorkspace ((Workspace) objects[0]).setSelectedItems ((List<Item>) objects[1]);
	                                                                             ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:68: warning: [rawtypes] found raw type: Item
	ArrayList<Item> items = new ArrayList<Item> ();
	          ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:68: warning: [rawtypes] found raw type: Item
	ArrayList<Item> items = new ArrayList<Item> ();
	                                      ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:73: warning: [rawtypes] found raw type: Item
	for (Item item : items)
	     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:85: warning: [rawtypes] found raw type: Item
    public void updateSelection (List<Item> items) {
                                      ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:90: warning: [rawtypes] found raw type: Item
    public Story.Command getDoSelection (Item item) {
                                         ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:93: warning: [rawtypes] found raw type: Item
    public Story.Command getDoSelection (List<Item> items) {
                                              ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:99: warning: [rawtypes] found raw type: Item
    public Story.Command getUndoSelection (Item item) {
                                           ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:102: warning: [rawtypes] found raw type: Item
    public Story.Command getUndoSelection (List<Item> items) {
                                                ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:122: warning: [rawtypes] found raw type: Item
    public void storyAddItem (Item item, Point2D.Double pos) {
                              ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:125: warning: [rawtypes] found raw type: Item
	commands.add (getUndoSelection ((List<Item>) null));
	                                      ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:130: warning: [rawtypes] found raw type: Item
    public void storyCloneItem (Item ref, Point2D.Double pos) {
                                ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:133: warning: [rawtypes] found raw type: Item
	Item item = ref.clone (this);
	^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:141: warning: [rawtypes] found raw type: Item
    public void storyPasteItem (Vector<Item> sItem) {
                                       ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:144: warning: [rawtypes] found raw type: Item
	Vector<Item> preSelection = new Vector<Item> (sItem.size ());
	       ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:144: warning: [rawtypes] found raw type: Item
	Vector<Item> preSelection = new Vector<Item> (sItem.size ());
	                                       ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:145: warning: [rawtypes] found raw type: Item
	for (Item ref : sItem) {
	     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:154: warning: [rawtypes] found raw type: Item
	Vector<Item> postSelection = new Vector<Item> (preSelection.size ());
	       ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:154: warning: [rawtypes] found raw type: Item
	Vector<Item> postSelection = new Vector<Item> (preSelection.size ());
	                                        ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:156: warning: [rawtypes] found raw type: Item
	for (Item ref : preSelection) {
	     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:157: warning: [rawtypes] found raw type: Item
	    Item item = ref.clone (this);
	    ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:168: warning: [rawtypes] found raw type: Item
    public Item storyGetCloseItem (Story.Commands commands, Item item) {
                                                            ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:168: warning: [rawtypes] found raw type: Item
    public Item storyGetCloseItem (Story.Commands commands, Item item) {
           ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:169: warning: [rawtypes] found raw type: Item
	Item closeItem = getLocalEmbedded (item.getId ());
	^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:176: warning: [rawtypes] found raw type: Item
    public void storyHideShowItem (List<Item> sItem, boolean hidden) {
                                        ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:180: warning: [rawtypes] found raw type: Item
	Vector<Item> toHideShow = new Vector<Item> (sItem.size ());
	       ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:180: warning: [rawtypes] found raw type: Item
	Vector<Item> toHideShow = new Vector<Item> (sItem.size ());
	                                     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:181: warning: [rawtypes] found raw type: Item
	for (Item ref : sItem) {
	     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:189: warning: [rawtypes] found raw type: Item
	for (Item item : toHideShow) {
	     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:196: warning: [rawtypes] found raw type: Item
	commands.add (getDoSelection ((List<Item>) null));
	                                    ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:199: warning: [rawtypes] found raw type: Item
    public void storyRemoveItems (List<Item> sItem) {
                                       ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:202: warning: [rawtypes] found raw type: Item
	Vector<Item> toRemove = new Vector<Item> (sItem.size ());
	       ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:202: warning: [rawtypes] found raw type: Item
	Vector<Item> toRemove = new Vector<Item> (sItem.size ());
	                                   ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:203: warning: [rawtypes] found raw type: Item
	for (Item ref : sItem) {
	     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:204: warning: [rawtypes] found raw type: Item
	    Item localItem = getLocalEmbedded (ref.getId ());
	    ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:213: warning: [rawtypes] found raw type: Item
	for (Item item : toRemove) {
	     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:221: warning: [rawtypes] found raw type: Item
	commands.add (getDoSelection ((List<Item>) null));
	                                    ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:224: warning: [rawtypes] found raw type: Item
    public Acc storyGetCloseAcc (Story.Commands commands, Item item, Accessory accessory) {
                                                          ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:225: warning: [unchecked] unchecked call to findEmbeddedRootOf(Unit<?>) as a member of the raw type Editable
	Acc acc = (Acc) item.findEmbeddedRootOf (accessory);
	                                        ^
  where E is a type-variable:
    E extends Embedded<?,?,?,?,?> declared in class Editable
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:231: warning: [unchecked] unchecked call to getCloseEmbedded(E) as a member of the raw type Editable
	closeAcc = (Acc) item.getCloseEmbedded (acc);
	                                       ^
  where E is a type-variable:
    E extends Embedded<?,?,?,?,?> declared in class Editable
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:235: warning: [rawtypes] found raw type: Item
    public void storyAddAcc (Item item, Accessory accessory) {
                             ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:237: warning: [rawtypes] found raw type: Item
	Item localItem = storyGetCloseItem (commands, item);
	^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:257: warning: [rawtypes] found raw type: Item
	Item localItem = getLocalEmbedded (acc.getContainer ().getId ());
	^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:264: warning: [unchecked] unchecked call to removeEmbedded(E) as a member of the raw type Editable
		public void exec () { localItem.removeEmbedded (oldAcc); }
		                                               ^
  where E is a type-variable:
    E extends Embedded<?,?,?,?,?> declared in class Editable
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:265: warning: [unchecked] unchecked call to addEmbedded(E) as a member of the raw type Editable
		public void undo () { localItem.addEmbedded (oldAcc); }
		                                            ^
  where E is a type-variable:
    E extends Embedded<?,?,?,?,?> declared in class Editable
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:305: warning: [rawtypes] found raw type: Item
    public void storyRotItem (Vector<Item> sItem, Vector<Double> thetas) {
                                     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:310: warning: [rawtypes] found raw type: Item
	    Item item = sItem.get (i);
	    ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:315: warning: [rawtypes] found raw type: Item
	    Item localItem = storyGetCloseItem (commands, item);
	    ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:321: warning: [static] static method should be qualified by type name, Item, instead of by an expression
			localItem.changePos (item.getPosInside (size, pos, item.getThetaDegree (), item.getSize ()));
			                         ^
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:338: warning: [rawtypes] found raw type: Item
    public void storyMoveItem (Vector<Item> sItem, Vector<Point2D.Double> poss) {
                                      ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:343: warning: [rawtypes] found raw type: Item
	    Item item = sItem.get (i);
	    ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:344: warning: [static] static method should be qualified by type name, Item, instead of by an expression
	    Point2D.Double insidePos = item.getPosInside (size, poss.get (i), item.getThetaDegree (), item.getSize ());
	                                   ^
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:350: warning: [rawtypes] found raw type: Item
	    Item localItem = storyGetCloseItem (commands, item);
	    ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:359: warning: [rawtypes] found raw type: Item
    public void storyRotResize (Item sItem, Point2D.Double sPos, double sThetaDegree, DimensionDouble sSize) {
                                ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:361: warning: [rawtypes] found raw type: Item
	Item localItem = storyGetCloseItem (commands, sItem);
	^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:366: warning: [static] static method should be qualified by type name, Item, instead of by an expression
	Point2D.Double insidePos = localItem.getPosInside (size, sPos, sThetaDegree, sSize);
	                                    ^
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:376: warning: [rawtypes] found raw type: Item
    public void storySpaceItem (Vector<Item> items, boolean isHorizontal, Double spaceRequest) {
                                       ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:392: warning: [rawtypes] found raw type: Item
    public void storyDistributeItem (Vector<Item> items, boolean isHorizontal, Double distribRequest) {
                                            ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:413: warning: [rawtypes] found raw type: Item
    public void storyAlignItem (Vector<Item> items, Alignment alignment) {
                                       ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:427: warning: [rawtypes] found raw type: Item
	for (Item item : items) {
	     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:429: warning: [static] static method should be qualified by type name, Item, instead of by an expression
	    DimensionDouble size = item.getRotSize (item.getThetaDegree (), item.getSize ());
	                               ^
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:459: warning: [rawtypes] found raw type: Item
	for (Item item : items) {
	     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:461: warning: [static] static method should be qualified by type name, Item, instead of by an expression
	    DimensionDouble size = item.getRotSize (item.getThetaDegree (), item.getSize ());
	                               ^
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:485: warning: [rawtypes] found raw type: Item
    public double[][] getAxesValues (Vector<Item> items, boolean isHorizontal) {
                                            ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:489: warning: [rawtypes] found raw type: Item
	for (Item item : items) {
	     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:491: warning: [static] static method should be qualified by type name, Item, instead of by an expression
	    DimensionDouble size = item.getRotSize (item.getThetaDegree (), item.getSize ());
	                               ^
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:503: warning: [rawtypes] found raw type: Item
    public Vector<Point2D.Double> getPos (Vector<Item> items, boolean isHorizontal, double[] poss) {
                                                 ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:506: warning: [rawtypes] found raw type: Item
	for (Item item : items) {
	     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:549: warning: [rawtypes] found raw type: Item
    protected Hashtable<String, Item> namedItems = new Hashtable<String, Item> ();
                                ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:549: warning: [rawtypes] found raw type: Item
    protected Hashtable<String, Item> namedItems = new Hashtable<String, Item> ();
                                                                         ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:550: warning: [rawtypes] found raw type: Item
    protected Vector<Item> allItems;
                     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:552: warning: [rawtypes] found raw type: Item
    public Vector<Item> getAllItems ()		{ return allItems; }
                  ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:564: warning: [rawtypes] found raw type: Item
	for (Item item : getInheritedEmbeddedValues ())
	     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:570: warning: [rawtypes] found raw type: Item
	    for (Item item : buildingItems)
	         ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:573: warning: [rawtypes] found raw type: Item
	allItems = new Vector<Item> (namedItems.values ());
	                      ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:575: warning: [rawtypes] found raw type: Item
	Vector<Item> itemsUsed = new Vector<Item> ();
	       ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:575: warning: [rawtypes] found raw type: Item
	Vector<Item> itemsUsed = new Vector<Item> ();
	                                    ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:576: warning: [rawtypes] found raw type: Item
	for (Item item : allItems)
	     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:577: warning: [unchecked] unchecked cast
	    for (String accId : (TreeSet<String>) item.getEmbeddedIds ())
	                                                              ^
  required: TreeSet<String>
  found:    TreeSet
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:583: warning: [rawtypes] found raw type: Item
	for (Item item : allItems) {
	     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:650: warning: [rawtypes] found raw type: Item
    public ArrayList<Item> findItems (Point2D.Double realPos, double close) {
                     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:651: warning: [rawtypes] found raw type: Item
	ArrayList<Item> result = new ArrayList<Item> ();
	          ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:651: warning: [rawtypes] found raw type: Item
	ArrayList<Item> result = new ArrayList<Item> ();
	                                       ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/unit/Workspace.java:653: warning: [rawtypes] found raw type: Item
	for (Item item : namedItems.values ()) {
	     ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/Item.java:48: warning: [rawtypes] found raw type: Item
    abstract public Item clone (Workspace workspace);
                    ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/Item.java:245: warning: [rawtypes] found raw type: Item
    static public Comparator<Item> xPosComparator = new AxeItemComparator (0, 1, 2);
                             ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/Item.java:246: warning: [rawtypes] found raw type: Item
    static public Comparator<Item> yPosComparator = new AxeItemComparator (1, 0, 2);
                             ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/Item.java:247: warning: [rawtypes] found raw type: Item
    static public Comparator<Item> zPosComparator = new AxeItemComparator (2, 0, 1);
                             ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/Item.java:249: warning: [rawtypes] found raw type: Item
    static class AxeItemComparator implements Comparator<Item> {
                                                         ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
/home/felix/perso/adecWatt56/src/java/adecWatt/model/Item.java:256: warning: [rawtypes] found raw type: Item
	public int compare (Item o1, Item o2) {
	                    ^
  missing type arguments for generic class Item<P,T,A>
  where P,T,A are type-variables:
    P extends XmlPermanent<T,A> declared in class Item
    T extends Enum<?> declared in class Item
    A extends Enum<?> declared in class Item
Note: Some input files additionally use unchecked or unsafe operations.
100 warnings
Creating empty /home/felix/perso/adecWatt56/build/class/adecWatt/model/package-info.class
Creating empty /home/felix/perso/adecWatt56/build/class/adecWatt/view/jProp/package-info.class
Creating empty /home/felix/perso/adecWatt56/build/class/adecWatt/view/package-info.class
Creating empty /home/felix/perso/adecWatt56/build/class/adecWatt/model/xml/package-info.class

run:

BUILD SUCCESSFUL
Total time: 75 minutes 48 seconds

Compilation finished at Sun Feb  4 20:16:08
